Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Summary:        K Desktop Environment - Graphics Applications
Version:	4.5.4
Release:	1
Name:           kdegraphics
Group:          Multimedia
License:        GPLv2
URL:            http://www.kde.org/
Source0:        ftp://ftp.kde.org/pub/kde/stable/%{version}/src/kdegraphics-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	i686

BuildRequires:  automoc4
BuildRequires:  kde-filesystem >= 4
BuildRequires:  cmake
BuildRequires:  giflib-devel
%{?_with_libspectre:BuildRequires:  libspectre-devel}
%{!?_with_libspectre:BuildRequires: ghostscript-devel}
BuildRequires:  pcre-devel
BuildRequires:  poppler-devel
BuildRequires:	ebook-tools-devel

%{?_kde4_macros_api:Requires: kde4-macros(api) = %{_kde4_macros_api} }
Requires: kdelibs4 >= %{version}
Requires: %{name}-libs = %{?epoch:%{epoch}:}%{version}-%{release}
# okular requires lpr (?)
#Requires: lpr
Requires(post): xdg-utils
Requires(postun): xdg-utils

# include gwenview(2), see also: http://bugzilla.redhat.com/427688 
Obsoletes:      gwenview < 2
Provides:       gwenview = 2
Obsoletes: 	kdegraphics4 < %{version}-%{release}
Provides:  	kdegraphics4 = %{version}-%{release}

BuildRequires: pulseaudio-libs-devel
BuildRequires: attica-devel
BuildRequires: shared-desktop-ontologies
BuildRequires: libxml2-devel

#Automatically resolved build dependencies
BuildRequires: chmlib-devel
BuildRequires: djvulibre-devel
BuildRequires: ebook-tools-devel
BuildRequires: exiv2-devel
BuildRequires: freetype-devel
BuildRequires: glibc-devel
BuildRequires: kdelibs-devel
BuildRequires: lcms-devel
BuildRequires: libgcc
BuildRequires: libgomp
BuildRequires: libgphoto2-devel
BuildRequires: libICE-devel
BuildRequires: libjpeg-devel
BuildRequires: libSM-devel
BuildRequires: libspectre-devel
BuildRequires: libstdc++-devel
BuildRequires: libtiff-devel
BuildRequires: libX11-devel
BuildRequires: libXau-devel
BuildRequires: libXdmcp-devel
BuildRequires: libXext-devel
BuildRequires: libXft-devel
BuildRequires: libXpm-devel
BuildRequires: libXxf86vm-devel
BuildRequires: phonon-devel
BuildRequires: pkg-config
BuildRequires: poppler-qt4-devel
BuildRequires: qca-devel
BuildRequires: qimageblitz-devel
BuildRequires: qt4-devel
BuildRequires: sane-backends-devel
BuildRequires: soprano-devel
BuildRequires: strigi-devel
BuildRequires: zlib-devel

%description
Graphics applications, including
* gwenview (an image viewer)
* kamera (digital camera support)
* kcolorchooser (a color chooser)
* kolourpaint4 (an easy-to-use paint program)
* kruler (screen ruler and color measurement tool)
* ksnapshot (screen capture utility)
* okular (a document viewer)

%package libs
Summary: 	Runtime libraries for %{name}
Group:   	System/Libraries
Obsoletes: 	kdegraphics4-libs < %{version}-%{release}
Provides:  	kdegraphics4-libs = %{version}-%{release}
Obsoletes:      libkexiv2 libkdcraw libkipi

%description libs
%{summary}.

%package devel
Group:    	Development/Libraries
Summary:  	Developer files for %{name}
Requires: 	%{name}-libs = %{?epoch:%{epoch}:}%{version}-%{release}
Requires: 	kdelibs-devel
Obsoletes: 	kdegraphics4-devel < %{version}-%{release}
Provides:  	kdegraphics4-devel = %{version}-%{release}
Obsoletes: 	libkexiv2-devel libkdcraw-devel libkipi-devel

%description devel
%{summary}.

%prep
%setup -q

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} -DKDE_DISTRIBUTION_TEXT="CCux Linux package %{name}-%{version}-%{release}" ../.
popd


make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} -C %{_target_platform}


%clean
rm -rf %{buildroot}

%post
%{_bindir}/xdg-icon-resource forceupdate --theme hicolor 2> /dev/null || :
%{_bindir}/xdg-icon-resource forceupdate --theme oxygen 2> /dev/null || :
%{_bindir}/xdg-desktop-menu forceupdate 2> /dev/null || :

%postun
%{_bindir}/xdg-icon-resource forceupdate --theme hicolor 2> /dev/null || :
%{_bindir}/xdg-icon-resource forceupdate --theme oxygen 2> /dev/null || :
%{_bindir}/xdg-desktop-menu forceupdate 2> /dev/null || :

%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc COPYING README
%{_bindir}/gwenview
%{_bindir}/gwenview_importer
%{_bindir}/kbackgroundsnapshot
%{_bindir}/kcolorchooser
%{_bindir}/kolourpaint
%{_bindir}/kruler
%{_bindir}/ksnapshot
%{_bindir}/okular
%{_bindir}/xf86gammacfg
%{_applications}/kde4/gwenview.desktop
%{_applications}/kde4/kcolorchooser.desktop
%{_applications}/kde4/kolourpaint.desktop
%{_applications}/kde4/kruler.desktop
%{_applications}/kde4/ksnapshot.desktop
%{_applications}/kde4/okularApplication_chm.desktop
%{_applications}/kde4/okularApplication_comicbook.desktop
%{_applications}/kde4/okularApplication_djvu.desktop
%{_applications}/kde4/okularApplication_dvi.desktop
%{_applications}/kde4/okularApplication_epub.desktop
%{_applications}/kde4/okularApplication_fax.desktop
%{_applications}/kde4/okularApplication_fb.desktop
%{_applications}/kde4/okularApplication_ghostview.desktop
%{_applications}/kde4/okularApplication_kimgio.desktop
%{_applications}/kde4/okularApplication_mobi.desktop
%{_applications}/kde4/okularApplication_ooo.desktop
%{_applications}/kde4/okularApplication_pdf.desktop
%{_applications}/kde4/okularApplication_plucker.desktop
%{_applications}/kde4/okularApplication_tiff.desktop
%{_applications}/kde4/okularApplication_xps.desktop
%{_applications}/kde4/okular.desktop
%{_datadir}/config.kcfg/gssettings.kcfg
%{_datadir}/config.kcfg/okular.kcfg
%{_datadir}/dbus-1/interfaces/org.kde.ksnapshot.xml
%{_docdir}/HTML/en/gwenview
%{_docdir}/HTML/en/kcontrol
%{_docdir}/HTML/en/kolourpaint
%{_docdir}/HTML/en/kruler
%{_docdir}/HTML/en/ksnapshot
%{_docdir}/HTML/en/okular
%{_datadir}/icons/hicolor/*/apps/gwenview.png
%{_datadir}/icons/hicolor/*/apps/kdcraw.png
%{_datadir}/icons/hicolor/*/apps/kipi.png
%{_datadir}/icons/hicolor/*/apps/kruler.png
%{_datadir}/icons/hicolor/*/apps/okular.png
%{_datadir}/icons/hicolor/*/apps/kcolorchooser.png
%{_datadir}/icons/hicolor/*/apps/kolourpaint.png
%{_datadir}/icons/hicolor/*/apps/ksnapshot.png
%{_datadir}/icons/hicolor/*/actions/black-white.png
%{_datadir}/icons/hicolor/*/actions/color.png
%{_datadir}/icons/hicolor/*/actions/gray-scale.png
%{_datadir}/icons/hicolor/scalable/apps/gwenview.svgz
%{_datadir}/icons/hicolor/scalable/apps/kolourpaint.svgz
%{_datadir}/icons/hicolor/scalable/apps/kruler.svgz
%{_datadir}/icons/hicolor/scalable/apps/ksnapshot.svgz
%{_datadir}/icons/hicolor/scalable/apps/okular.svgz
%{_datadir}/kde4/apps/gvpart
%{_datadir}/kde4/apps/gwenview
%{_datadir}/kde4/apps/kgamma
%{_datadir}/kde4/apps/kolourpaint
%{_datadir}/kde4/apps/kruler
%{_datadir}/kde4/apps/okular
%{_datadir}/kde4/apps/solid/actions/gwenview_importer.desktop
%{_datadir}/kde4/apps/solid/actions/solid_camera.desktop
%{_datadir}/kde4/apps/svgpart
%{_datadir}/kde4/services/camera.protocol
%{_datadir}/kde4/services/gsthumbnail.desktop
%{_datadir}/kde4/services/gvpart.desktop
%{_datadir}/kde4/services/kamera.desktop
%{_datadir}/kde4/services/kgamma.desktop
%{_datadir}/kde4/services/ksane_scan_service.desktop
%{_datadir}/kde4/services/libokularGenerator_chmlib.desktop
%{_datadir}/kde4/services/libokularGenerator_comicbook.desktop
%{_datadir}/kde4/services/libokularGenerator_djvu.desktop
%{_datadir}/kde4/services/libokularGenerator_dvi.desktop
%{_datadir}/kde4/services/libokularGenerator_epub.desktop
%{_datadir}/kde4/services/libokularGenerator_fax.desktop
%{_datadir}/kde4/services/libokularGenerator_fb.desktop
%{_datadir}/kde4/services/libokularGenerator_ghostview.desktop
%{_datadir}/kde4/services/libokularGenerator_kimgio.desktop
%{_datadir}/kde4/services/libokularGenerator_mobi.desktop
%{_datadir}/kde4/services/libokularGenerator_ooo.desktop
%{_datadir}/kde4/services/libokularGenerator_plucker.desktop
%{_datadir}/kde4/services/libokularGenerator_poppler.desktop
%{_datadir}/kde4/services/libokularGenerator_tiff.desktop
%{_datadir}/kde4/services/libokularGenerator_xps.desktop
%{_datadir}/kde4/services/mobithumbnail.desktop
%{_datadir}/kde4/services/msits.protocol
%{_datadir}/kde4/services/okularChm.desktop
%{_datadir}/kde4/services/okularComicbook.desktop
%{_datadir}/kde4/services/okularDjvu.desktop
%{_datadir}/kde4/services/okularDvi.desktop
%{_datadir}/kde4/services/okularEPub.desktop
%{_datadir}/kde4/services/okularFax.desktop
%{_datadir}/kde4/services/okularFb.desktop
%{_datadir}/kde4/services/okularGhostview.desktop
%{_datadir}/kde4/services/okularKimgio.desktop
%{_datadir}/kde4/services/okularMobi.desktop
%{_datadir}/kde4/services/okularOoo.desktop
%{_datadir}/kde4/services/okular_part.desktop
%{_datadir}/kde4/services/okularPlucker.desktop
%{_datadir}/kde4/services/okularPoppler.desktop
%{_datadir}/kde4/services/okularTiff.desktop
%{_datadir}/kde4/services/okularXps.desktop
%{_datadir}/kde4/services/rawthumbnail.desktop
%{_datadir}/kde4/services/ServiceMenus/slideshow.desktop
%{_datadir}/kde4/services/svgpart.desktop
%{_datadir}/kde4/servicetypes/kipiplugin.desktop
%{_datadir}/kde4/servicetypes/okularGenerator.desktop

%files libs 
%defattr(-,root,root,-)
%{_datadir}/kde4/apps/kipi
%{_datadir}/kde4/apps/libkdcraw
%{_datadir}/kde4/apps/libkexiv2
%{_libdir}/libgwenviewlib.so.*
%{_libdir}/libkdcraw.so.*
%{_libdir}/libkexiv2.so.*
%{_libdir}/libkipi.so.*
%{_libdir}/libkolourpaint_lgpl.so.*
%{_libdir}/libksane.so.*
%{_libdir}/libokularcore.so.*
%{_libdir}/kde4/gsthumbnail.so
%{_libdir}/kde4/gvpart.so
%{_libdir}/kde4/kcm_kamera.so
%{_libdir}/kde4/kcm_kgamma.so
%{_libdir}/kde4/kio_kamera.so
%{_libdir}/kde4/kio_msits.so
%{_libdir}/kde4/ksaneplugin.so
%{_libdir}/kde4/mobithumbnail.so
%{_libdir}/kde4/okularGenerator_chmlib.so
%{_libdir}/kde4/okularGenerator_comicbook.so
%{_libdir}/kde4/okularGenerator_djvu.so
%{_libdir}/kde4/okularGenerator_dvi.so
%{_libdir}/kde4/okularGenerator_epub.so
%{_libdir}/kde4/okularGenerator_fax.so
%{_libdir}/kde4/okularGenerator_fb.so
%{_libdir}/kde4/okularGenerator_ghostview.so
%{_libdir}/kde4/okularGenerator_kimgio.so
%{_libdir}/kde4/okularGenerator_mobi.so
%{_libdir}/kde4/okularGenerator_ooo.so
%{_libdir}/kde4/okularGenerator_plucker.so
%{_libdir}/kde4/okularGenerator_poppler.so
%{_libdir}/kde4/okularGenerator_tiff.so
%{_libdir}/kde4/okularGenerator_xps.so
%{_libdir}/kde4/okularpart.so
%{_libdir}/kde4/rawthumbnail.so
%{_libdir}/kde4/svgpart.so
%{_libdir}/strigi


%files devel
%defattr(-,root,root,-)
%{_includedir}/libkdcraw
%{_includedir}/libkexiv2
%{_includedir}/libkipi
%{_includedir}/libksane
%{_includedir}/okular
%{_pkgconfig}/libkdcraw.pc
%{_pkgconfig}/libkexiv2.pc
%{_pkgconfig}/libkipi.pc
%{_pkgconfig}/libksane.pc
%{_datadir}/kde4/apps/cmake/modules/FindKSane.cmake
%{_datadir}/kde4/apps/cmake/modules/FindOkular.cmake
%{_libdir}/libgwenviewlib.so                      
%{_libdir}/libkdcraw.so                           
%{_libdir}/libkexiv2.so                           
%{_libdir}/libkipi.so                             
%{_libdir}/libkolourpaint_lgpl.so                 
%{_libdir}/libksane.so                            
%{_libdir}/libokularcore.so                       

%changelog
* Fri Dec 03 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.5.4-1
- Version Update
* Thu Nov 04 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.5.3-1
- Version Update
* Wed Oct 06 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.5.2-1
- Version Update
* Wed Sep 01 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.5.1-1
- Version Update
* Tue Aug 10 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.5.0-1
- Version Update
* Wed Jul 28 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.4.95-1
- Version Update
* Thu Jul 08 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.4.92-1
- Version Update - experimental package branch - rc2
* Tue Jun 29 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.4.90-1
- Version Update - experimental package branch - rc1
* Thu Jun 10 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.4.4-2
- updated libkipi, libkdcraw, libkexiv2, libksane to 1.1.0
 (needed by digikam 1.3.0)
* Wed Jun 02 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.4.4-1
- Version Update
* Thu May 06 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.4.3-1
- Version Update
* Wed Mar 31 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.4.2-1
- Version Update
* Thu Mar 04 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.4.1-1
- Version Update
* Wed Feb 10 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.4.0-1
- Version Update
* Wed Jan 06 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.3.4-3
- now really rebuilt against exiv2 0.19
* Tue Jan 05 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.3.4-2
- rebuilt against exiv2 0.19
* Wed Dec 02 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.3.4-1
- Version Update
* Wed Nov 25 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.3.3-2
- rebuilt against poppler-qt4 0.12.2
* Wed Nov 04 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.3.3-1
- Version Update
* Wed Oct 07 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.3.2-1
- Version Update
* Thu Sep 10 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.3.1-1
- Version Update
* Mon Aug 10 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.3.0-1
- Version update
* Thu Jun 04 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.2.4-1
- Version update
* Fri May 08 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.2.3-1
- Version update
* Fri Apr 03 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.2.2-1
- Version update
* Fri Mar 06 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.2.1-1
- Version update
* Fri Jan 23 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.2.0-1
- Version update
* Sat Jan 10 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.1.96-1
- version update
* Wed Jan 06 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.1.87-1
- version update
* Sun Dec 28 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.1.85-2
- rebuilt against exiv2 0.18
* Sat Dec 13 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.1.85-1
- version update
* Fri Nov 28 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.1.80-1
- version update
* Sun Nov 09 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.1.3-2
- patched libkdcraw, libkexiv2, libkipi, libksane to svn 881966 
needed for digikam 0.10 beta5
* Wed Nov 05 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.1.3-1
- version update
* Fri Oct 03 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.1.2-1
- version update
* Mon Sep 29 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.1.1-3
- rebuilt against poppler 0.9.2
* Wed Sep 03 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.1.1-2
- patched libkdcraw, libkexiv2, libkipi, libksane to svn 856793
needed for digikam 0.10 beta3
* Wed Sep 03 2008 Christian Metzen <metzench@ccux-linux.de> 4.1.1-1
- Version update
* Sat Aug 23 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.1.0-5
- rebuilt against poppler 0.8.6
- added ebook support
- added patch against crash on PDF print preview
* Fri Aug 01 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.1.0-4
- rebuilt against exiv2 0.17.1
- package obsoletes libkexiv2, libkdcraw and libkipi
* Fri Aug 01 2008 Christian Metzen <metzench@ccux-linux.de> 4.1.0-3
- handle devel package conflicts for now
* Thu Jul 31 2008 Christian Metzen <metzench@ccux-linux.de> 4.1.0-2
- renamed package
* Sat Jul 26 2008 Christian Metzen <metzench@ccux-linux.de> 4.1.0-1
- Version update
* Thu Jul 24 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.99-1
- Version update
* Sun Jul 13 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.98-1
- Version update 4.1 RC 1 
* Wed Jul 02 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.84-1
- Version update
* Fri Jun 27 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.83-1
- Version update ( 4.1 Beta 2 )
* Tue Jun 17 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.80-1
- Version update ( 4.1 Beta 1 )
* Thu Apr 24 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.3-2
- rebuild against poppler 0.8.0
* Mon Apr 07 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.3-1
- Initial release
